import Ember from 'ember';

export default Ember.Component.extend({
  length: 100, // Default length and width would 100
  width: 100,
  //
  // The following computed property will give us the url for
  // fill-murray. In this case it depends on the properties length and width.
  //
  src: Ember.computed('length', 'width', function() {
    var base = 'http://www.fillmurray.com/';
    return base + this.get('width') + '/' + this.get('length');
  })
});
